/* Estilos generales */
* {
    margin: 0px auto;
    padding: 0px;
}

/* Variables que contienen el color para que sea mas facil de cambiar */
:root {
    --fondo-cabecera: rgba(128, 126, 126, 0.4);
    --fondo-cuerpo: rgb(34, 33, 33);
}

/*Fuentes añadidas*/
@font-face {
    font-family: "WebSymbolsRegular";
    src: url("fonts/websymbols-regular-webfont.eot");
    src: url("fonts/websymbols-regular-webfont.eot?#iefix") format("embedded-opentype"),
        url("fonts/websymbols-regular-webfont.woff") format("woff"),
        url("fonts/websymbols-regular-webfont.ttf") format("truetype"),
        url("fonts/websymbols-regular-webfont.svg") format("svg");
    font-weight: normal;
    font-style: normal;
}


/* Dividi el body en tres partes */
#content {
    display: grid;
    width: 100%;
    height: 100%;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: 660px 1fr 300px;
    grid-template-areas:
        "cabecera cabecera cabecera cabecera"
        "cuerpo cuerpo cuerpo cuerpo"
        "pie pie pie pie";
}
/* Inicio de la cabecera */
#content #cabecera {
    grid-area: cabecera;
    width: 100%;
    height: 100%;
    overflow: hidden;

}
/* Estilos del video de la cabecera */
#content #cabecera .bannerVideo {
    position: absolute;
    width: 100%;
    height: 100%;
}

#content #cabecera .bannerVideo video {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#content #cabecera #header {
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-rows: 40% 60%;
    grid-template-areas:
        "welcome"
        "menu";
    position: relative;
    background-color: var(--fondo-cabecera);
}
/* Estilos del mensaje de bienvenida */
#content #cabecera #header .bienvenido {
    grid-area: welcome;
    font-size: 75px;
    font-family: 'Times New Roman', Times, serif;
    color: red;
    text-align: center;
    margin-top: 5%;
    text-shadow: 0px 1px 5px black;

}

#content #cabecera #header .bienvenido a {
    color: red;
    text-decoration: none;
}

#content #cabecera #header .bienvenido a:hover {
    color: black;
    cursor: pointer;
    transition: all 300ms;
    text-shadow: 0px 1px 5px white;
}
/* Estilos del menu */
#header #menu {
    grid-area: menu;
    width: 100%;
    height: 50%;
    margin-top: 5%;
}

#header #menu ul {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    list-style: none;
    width: 60%;
    text-align: center;
}

#header #menu ul li {
    display: block;
    width: 90%;
    height: 100px;
}

#menu ul li a {
    display: block;
    text-decoration: none;
    background-color: red;
    color: black;
    font-size: 35px;
    font-family: Tahoma, Geneva, Verdana, sans-serif;
    border-radius: 30px;
}

#menu ul li a:hover {
    color: red;
    background: black;
    font-size: 37px;
    transition: all 300ms;
}
/* Fin de la cabecera */
/* Inicio del content-body  */

#content #content-notice {
    grid-area: cuerpo;
    display: grid;
    grid-template-rows: 625px 390px 1fr 1fr;
    width: 100%;
    height: 100%;
    background: var(--fondo-cuerpo);
}
/* Estilos del formulario */
#content-notice #formulario-servicio {
    width: 90%;
    height: 100%;
    display: grid;
    grid-template-columns: 40% 60%;
    overflow: hidden;
}

#formulario-servicio #info-formulario {
    width: 100%;
    height: 100%;
}

#info-formulario h3 {
    font-size: 40px;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    color: white;
    text-align: center;
    margin-top: 10%;
}

#info-formulario p {
    color: white;
    font-size: 20px;
    font-family: 'Arial Narrow', Arial, sans-serif;
    text-align: center;
    margin-top: 5%;
}

#formulario-servicio #formulario {
    margin-top: 10%;
    width: 90%;
    background: linear-gradient(#8d42ee 0%, #c69d9d 100%);
    border-radius: 50px;
    padding-top: 10px;
}

#formulario .form {
    width: 90%;
    margin-left: 3%;

}

#formulario .form .form-label {
    display: block;
    color: black;
    font-size: 16px;
    font-family: Roboto;
    position: relative;
    margin-top: 10px;
}

#formulario .form .form-input,
.form-textarea {
    background: rgb(1, 1, 2);
    border: none;
    outline: none;
    border-bottom: 2px solid #ff851b;
    width: 100%;
    padding: 12px;
    margin-bottom: 20px;
    border-radius: 2px;
    font-size: 14px;
    color: white;
    font-family: Roboto;

}

#formulario .form .form-textarea {
    resize: vertical;
    max-height: 150px;
    min-height: 50px;

}
/* Estilos del boton de enviar del formulario */
#formulario .form .btn-submit {
    width: 104%;
    font-family: Roboto;
    outline: none;
    background: #ff851b;
    font-size: 16px;
    border: none;
    color: #fff;
    padding: 15px 0;
    transition: all .5s ease;
    border-radius: 0px 0px 50px 50px;
    margin-top: 0.5%;
}

.btn-disable{
    opacity: 0.5;
    cursor: not-allowed;
}

.btn-enable{
    opacity: 1;
    cursor: pointer;
}

.error{
    border-bottom: 2px solid red !important;
    background: rgb(77, 77, 77) !important;
}

.error-none{
    border-bottom: 2px solid green !important;
}

#formulario label .obligatorio {
    color: red;
}

#formulario label #aclaracion-mensaje {
    color: blue;
    font-size: 15px;
}
/* Estilos del parrafo que se muestra con el mensaje de error o enviado */
.resultado-p{
    border: 1px solid black;
    font-size: 24px;
    font-family: Roboto;
    margin-top: 1%;
    padding: 10px;
    width: 85%;
    height: 30px;
    margin-left: 6%;
    text-align: center;
    color: white;
    font-weight: bold;
    border-radius: 50px;
}

.error-parrafo{
    background:rgb(246, 52, 52);
}

.logrado-parrafo{
    background: rgb(63, 239, 63);
}

#content-notice #info-videos {
    display: grid;
    grid-template-columns: 50% 50%;
    width: 100%;
    height: 100%;
    margin-top: 5%;
}

.img-info {
    width: 90%;
    height: 100%;
    overflow: hidden;
    color: white;
    display: block;
}

.img-info img {
    width: 100%;
    height: 100%;
    justify-content: center;
}

.texto-info {
    width: 90%;
    height: 90%;
    overflow: hidden;
}

.texto-info h4 {
    font-size: 30px;
    color: white;
    font-family: sans-serif, Arial, Helvetica;
    text-align: center;
}

.texto-info p {
    margin-top: 3%;
    color: white;
    font-family: 'Times New Roman', Times, serif;
    font-size: 20px;
    text-align: center;
}

#content-notice #servicio-completo {
    width: 100%;
    height: 100%;
    margin-top: 10%;
}

#servicio-completo h3 {
    font-size: 30px;
    font-family: Arial, Helvetica, sans-serif;
    background: black;
    color: red;
    width: 100%;
    text-align: center;
    margin-bottom: 3%;


}

#servicio-completo h3 span {
    color: white;
    font-size: 15px;
    font-family: 'Times New Roman', serif;

}
/* Estilos de las tarjetas */
#servicio-completo #servicio-tarjetas {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
    width: 100%;
    height: 55%;
}

#servicio-tarjetas .card {
    width: 90%;
    height: 250px;
    margin-bottom: 5%;
}

.card .img-card {
    width: 100%;
    height: 250px;
    overflow: hidden;
    border-radius: 50px;
}

.card .img-card img {
    width: 100%;
    height: auto;
    justify-content: center;
}

.card h4 {
    font-size: 15px;
    margin-top: 3%;
    font-family: sans-serif, Arial, Helvetica;
    color: white;
    text-align: center;

}

.card p {
    font-size: 10px;
    margin-top: 3%;
    font-family: sans-serif, Arial, Helvetica;
    color: white;
    text-align: center;

}

#content-notice #tipos-servicios {
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-rows: repeat(4, 1fr);
    margin-top: -20%;

}

#tipos-servicios .seccion-tipo {
    width: 100%;
    height: 380px;
    display: grid;
    grid-template-columns: 50% 50%;
    margin-bottom: 5%;
}
/* Fin del content-body */
/* Inicio del pie de pagina */

#content footer {
    grid-area: pie;
    width: 100%;
    height: 100%;
    background-color: black;
    display: grid;
    grid-template-rows: 250px 50px;
    grid-template-areas:
        "contenido"
        "desarrollado";
}

#content footer #content-pie {
    grid-area: contenido;
    width: 70%;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    margin-top: 3.5%;

}
/* Estilos del logo del pie de pagina  */
#content-pie #logo-pie {
    display: block;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

#content-pie #logo-pie img {
    width: 210px;
    height: auto;
    display: block;
    margin-top: 7%;
}

#content-pie #logo-pie img:hover {
    width: 85%;
}

#content-pie a {
    font-family: WebSymbolsRegular;
    text-decoration: none;
    font-size: 800%;
    color: white;


}

#content-pie #facebook:hover {
    color: rgb(4, 4, 227);
}

#content-pie #twitter:hover {
    color: rgb(11, 126, 226);
}

#content-pie #youtube:hover {
    color: red;
}




#content footer #desarrollado {
    grid-area: desarrollado;
    width: 100%;
    height: 100%;
    color: white;
    text-align: center;
    font-size: 20px;
    line-height: 50px;

}

#content footer #desarrollado:hover {
    background-color: grey;
    color: black;
}

#content footer #desarrollado a {
    text-decoration: none;
    color: red;
}

#content footer #desarrollado a:hover {
    color: blue;
}

/* Fin del pie de pagina */


/*SPINNER*/
/* Lo saque de un proyecto */

#spinner {
    display: none;
    justify-content: center;
    padding: 3rem 0;
}


.sk-chase {
    width: 40px;
    height: 40px;
    position: relative;
    animation: sk-chase 2.5s infinite linear both;
}

.sk-chase-dot {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    animation: sk-chase-dot 2.0s infinite ease-in-out both;
}

.sk-chase-dot:before {
    content: '';
    display: block;
    width: 25%;
    height: 25%;
    background-color: #0288d1;
    border-radius: 100%;
    animation: sk-chase-dot-before 2.0s infinite ease-in-out both;
}

.sk-chase-dot:nth-child(1) {
    animation-delay: -1.1s;
}

.sk-chase-dot:nth-child(2) {
    animation-delay: -1.0s;
}

.sk-chase-dot:nth-child(3) {
    animation-delay: -0.9s;
}

.sk-chase-dot:nth-child(4) {
    animation-delay: -0.8s;
}

.sk-chase-dot:nth-child(5) {
    animation-delay: -0.7s;
}

.sk-chase-dot:nth-child(6) {
    animation-delay: -0.6s;
}

.sk-chase-dot:nth-child(1):before {
    animation-delay: -1.1s;
}

.sk-chase-dot:nth-child(2):before {
    animation-delay: -1.0s;
}

.sk-chase-dot:nth-child(3):before {
    animation-delay: -0.9s;
}

.sk-chase-dot:nth-child(4):before {
    animation-delay: -0.8s;
}

.sk-chase-dot:nth-child(5):before {
    animation-delay: -0.7s;
}

.sk-chase-dot:nth-child(6):before {
    animation-delay: -0.6s;
}

@keyframes sk-chase {
    100% {
        transform: rotate(360deg);
    }
}

@keyframes sk-chase-dot {

    80%,
    100% {
        transform: rotate(360deg);
    }
}

@keyframes sk-chase-dot-before {
    50% {
        transform: scale(0.4);
    }

    100%,
    0% {
        transform: scale(1.0);
    }
}